# Search Settlements

## GET /settlements

> Search settlement

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"_APISearchPledgeResults":{"properties":{"edges":{"items":{"$ref":"#/components/schemas/PledgeSearchResult"},"type":"array"},"page_info":{"$ref":"#/components/schemas/APISearchPageInfo"}},"required":["edges","page_info"],"type":"object"},"PledgeSearchResult":{"properties":{"cursor":{"type":"integer"},"node":{"$ref":"#/components/schemas/Pledge"}},"required":["cursor","node"],"type":"object"},"Pledge":{"additionalProperties":false,"properties":{"account_id":{"type":"integer"},"amount":{"type":"integer"},"asset_manager":{"$ref":"#/components/schemas/TradelinkAssetManager"},"custodian":{"$ref":"#/components/schemas/TradelinkCustodian"},"exchange":{"$ref":"#/components/schemas/TradelinkExchange"},"id":{"format":"uuid","type":"string"},"pending":{"type":"integer"},"pledge_subaccount_id":{"type":"integer"},"state":{"enum":["ASSIGNED_TO_SETTLEMENT","OUTBOUND_TRANSACTION_CONFIRMED","OUTBOUND_TRANSACTION_FAILED","PLEDGE_APPROVED","PLEDGE_CONSUMED","PLEDGE_INCREMENT_PENDING_APPROVAL","PLEDGE_READY","PLEDGE_REJECTED","RECOVERING_FROM_FAILURE","REPLEDGE_APPROVED","REPLEDGE_PENDING_APPROVAL","REPLEDGE_REJECTED","UNPLEDGE_APPROVED","UNPLEDGE_PENDING_APPROVAL","UNPLEDGE_REJECTED"],"type":"string"}},"required":["account_id","amount","asset_manager","custodian","exchange","id","pending","pledge_subaccount_id","state"],"type":"object"},"TradelinkAssetManager":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"role":{"type":"string"}},"required":["code","id","name","role"],"type":"object"},"TradelinkCustodian":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"role":{"type":"string"}},"required":["code","id","name","role"],"type":"object"},"TradelinkExchange":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"role":{"type":"string"}},"required":["code","id","name","role"],"type":"object"},"APISearchPageInfo":{"properties":{"count":{"type":"integer"},"has_next_page":{"type":"boolean"}},"required":["count","has_next_page"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/settlements":{"get":{"tags":["Settlements"],"description":"Search settlement","parameters":[{"name":"page","in":"query","description":"Defines the page number to be fetched.","required":false,"schema":{"default":1,"minimum":1,"nullable":true,"type":"integer"}},{"name":"page_size","in":"query","description":"Defines the number of elements displayed on a page. Must be a positive number with 0 and -1 being special values to return a maximum defined in the gate","required":false,"schema":{"default":20,"minimum":-1,"nullable":true,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/_APISearchPledgeResults"}}},"description":"settlement search results"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"invalid search parameters"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/settlements/search-settlements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
